#include<iostream>
#include<cmath>
#include<fstream>
#include<iomanip>
using namespace std;
int main()
{
	ifstream f1("bieuthucf.inp");
	float n;	
	float x;
	f1>>x>>n;
	float t=x;
	float u;
	float s=x/n;
	f1.close();
	ofstream f2("bieuthucf.out");
	for(int i=1;i<=n;i++)
	{
		u=x+t*s;
		t=u;	
	}
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(3);
	f2<<u;
	return 0;
}
